# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/mcli

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: cp-root@2022++
    url: jdbc:mysql://47.97.181.40:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  # MongoDB配置
  data:
    mongodb:
      uri: mongodb://tbread:Teambition999@192.168.31.201:27017/teambition   # 固定格式 [连接成功后, 需要为 teambition 库添加 admin 权限才可查询]
  jpa:
    hibernate:
      ddl-auto: none      # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQLDialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 2704247534
  appKey: dingqmijjypfepl0tsuq
  appSecret: dixOqjK4Zw8PajvrtY1mbKxs4DIJJJmq6WvqdSDTCStBWAPyTeobgQFxZ1VhH-Z3
  corpId: ding321c72787fffc78b35c2f4657eb6378f
  aesKey:
  token:

# aliwork
aliwork:
  appType: APP_WBJG1I16K1N2L1FFQ3BX
  systemToken: KBB665A1ABB3A25Q9U2346GV9VMT3TLW1F77L76

